Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/UndoRedo/Command.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/UndoRedo/Command.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/UndoRedo/Command.cs	(revision 4068)
@@ -1,96 +1,86 @@
-using System;
 
-namespace Netron.Diagramming.Core
-{
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// Command is an abstract class that represents an undoable
+  /// or redoable operation or command. It provides virtual Undo()
+  /// and Redo() methods which your derived command classes can
+  /// override in order to implement actual undo/redo functionality.
+  /// In a derived command class, you also have the option of
+  /// not overriding the Undo() and Redo() methods. Instead, you
+  /// can treat the derived command class like a data class and
+  /// simply provide extra fields, properties, or methods that an
+  /// external class (one that implements IUndoHandler) can use to
+  /// perform the actual undo/redo functionality.
+  /// </summary>
+  public abstract class Command : ICommand {
+
+    #region Fields
     /// <summary>
-    /// Command is an abstract class that represents an undoable
-    /// or redoable operation or command. It provides virtual Undo()
-    /// and Redo() methods which your derived command classes can
-    /// override in order to implement actual undo/redo functionality.
-    /// In a derived command class, you also have the option of
-    /// not overriding the Undo() and Redo() methods. Instead, you
-    /// can treat the derived command class like a data class and
-    /// simply provide extra fields, properties, or methods that an
-    /// external class (one that implements IUndoHandler) can use to
-    /// perform the actual undo/redo functionality.
+    /// the Controller field
     /// </summary>
-    public abstract class Command : ICommand
-    {
+    private IController mController;
 
-        #region Fields
-        /// <summary>
-        /// the Controller field
-        /// </summary>
-        private IController mController;
+    /// <summary>
+    /// the description of the action
+    /// </summary>
+    private string mText = string.Empty;
+    #endregion
 
-        /// <summary>
-        /// the description of the action
-        /// </summary>
-        private string mText = string.Empty;
-        #endregion
+    #region Properties
+    /// <summary>
+    /// Gets or sets the Controller
+    /// </summary>
+    protected IController Controller {
+      get { return mController; }
+      set { mController = value; }
+    }
+    /// <summary>
+    /// Text should return a short description of the
+    /// user operation associated with this command. For example,
+    /// a graphics line drawing operation might have the
+    /// text, "Draw Line". This method can be used to update
+    /// the Text property of an undo menu item. For example,
+    /// instead of just displaying "Undo", the Text property
+    /// of an undo menu item can be augmented to "Undo Draw Line".
+    /// </summary>
+    /// <returns>Short description of the command.</returns>
+    public virtual string Text {
+      get {
+        return mText;
+      }
+      set {
+        mText = value;
+      }
+    }
+    #endregion
 
-        #region Properties
-        /// <summary>
-        /// Gets or sets the Controller
-        /// </summary>
-        protected IController Controller
-        {
-            get { return mController; }
-            set { mController = value; }
-        }
-        /// <summary>
-        /// Text should return a short description of the
-        /// user operation associated with this command. For example,
-        /// a graphics line drawing operation might have the
-        /// text, "Draw Line". This method can be used to update
-        /// the Text property of an undo menu item. For example,
-        /// instead of just displaying "Undo", the Text property
-        /// of an undo menu item can be augmented to "Undo Draw Line".
-        /// </summary>
-        /// <returns>Short description of the command.</returns>
-        public virtual string Text
-        {
-            get
-            {
-                return mText;
-            }
-            set
-            {
-                mText = value;
-            }
-        }
-        #endregion
+    #region Constructor
+    /// <summary>
+    /// Default constructor
+    /// </summary>
+    /// <param name="controller">The controller.</param>
+    protected Command(IController controller) {
+      if (controller == null)
+        throw new InconsistencyException("The controller is 'null'");
+      this.mController = controller;
+    }
+    #endregion
 
-        #region Constructor
-        /// <summary>
-        /// Default constructor
-        /// </summary>
-        /// <param name="controller">The controller.</param>
-        protected Command(IController controller)
-        {
-            if (controller == null)
-                throw new InconsistencyException("The controller is 'null'");
-            this.mController = controller;
-        }
-        #endregion
-
-        #region Methods
-        /// <summary>
-        /// Perform undo of this command.
-        /// </summary>
-        public virtual void Undo()
-        {
-            // Empty implementation.
-        }
-
-        /// <summary>
-        /// Perform redo of this command.
-        /// </summary>
-        public virtual void Redo()
-        {
-            // Empty implementation.
-        }
-        #endregion
+    #region Methods
+    /// <summary>
+    /// Perform undo of this command.
+    /// </summary>
+    public virtual void Undo() {
+      // Empty implementation.
     }
 
+    /// <summary>
+    /// Perform redo of this command.
+    /// </summary>
+    public virtual void Redo() {
+      // Empty implementation.
+    }
+    #endregion
+  }
+
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/UndoRedo/Commands/AddConnectionCommand.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/UndoRedo/Commands/AddConnectionCommand.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/UndoRedo/Commands/AddConnectionCommand.cs	(revision 4068)
@@ -1,51 +1,44 @@
 using System;
-using System.Collections.Generic;
-using System.Text;
 using System.Drawing;
-namespace Netron.Diagramming.Core
-{
-    /// <summary>
-    /// ICommand implementation of the AddConnection action
-    /// </summary>
-    class AddConnectionCommand : Command
-    {
-        IConnection connection;        
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// ICommand implementation of the AddConnection action
+  /// </summary>
+  class AddConnectionCommand : Command {
+    IConnection connection;
 
-        public IConnection Connection
-        {
-            get { return connection; }
-        }
+    public IConnection Connection {
+      get { return connection; }
+    }
 
-        
 
-        public  AddConnectionCommand(IController controller, IConnection connection) :base(controller)
-        {
-            if (connection == null)
-                throw new ArgumentNullException("The connection is 'null' and cannot be inserted.");            
-            this.Text = "Add " + connection.EntityName;          
-            this.connection = connection;
-        }
 
-        public override void Redo()
-        {
-            Controller.Model.AddConnection(connection);
-            
-            //connection.Location = location;
-            Rectangle rec = connection.Rectangle;
-            rec.Inflate(20, 20);
-            Controller.View.Invalidate(rec);            
-        }
+    public AddConnectionCommand(IController controller, IConnection connection)
+      : base(controller) {
+      if (connection == null)
+        throw new ArgumentNullException("The connection is 'null' and cannot be inserted.");
+      this.Text = "Add " + connection.EntityName;
+      this.connection = connection;
+    }
 
-        public override void Undo()
-        {
-            Rectangle rec = connection.Rectangle;
-            rec.Inflate(20, 20);
-            Controller.Model.Remove(connection);
-            Controller.View.Invalidate(rec);
-            
-        }
+    public override void Redo() {
+      Controller.Model.AddConnection(connection);
 
+      //connection.Location = location;
+      Rectangle rec = connection.Rectangle;
+      rec.Inflate(20, 20);
+      Controller.View.Invalidate(rec);
+    }
+
+    public override void Undo() {
+      Rectangle rec = connection.Rectangle;
+      rec.Inflate(20, 20);
+      Controller.Model.Remove(connection);
+      Controller.View.Invalidate(rec);
 
     }
 
+
+  }
+
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/UndoRedo/Commands/AddMultiPointShapeCommand.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/UndoRedo/Commands/AddMultiPointShapeCommand.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/UndoRedo/Commands/AddMultiPointShapeCommand.cs	(revision 4068)
@@ -1,52 +1,45 @@
 using System;
-using System.Collections.Generic;
-using System.Text;
 using System.Drawing;
-namespace Netron.Diagramming.Core
-{
-    /// <summary>
-    /// ICommand implementation of the AddShape action
-    /// </summary>
-    class AddMultiPointShapeCommand : Command
-    {
-        IShape shape;        
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// ICommand implementation of the AddShape action
+  /// </summary>
+  class AddMultiPointShapeCommand : Command {
+    IShape shape;
 
-        public IShape Shape
-        {
-            get { return shape; }
-        }
+    public IShape Shape {
+      get { return shape; }
+    }
 
-        
 
-        public  AddMultiPointShapeCommand(IController controller, IShape shape) :base(controller)
-        {
-            if (shape == null)
-                throw new ArgumentNullException("The shape is 'null' and cannot be inserted.");            
-            this.Text = "Add " + shape.EntityName;          
 
-            
-            this.shape = shape;
-        }
+    public AddMultiPointShapeCommand(IController controller, IShape shape)
+      : base(controller) {
+      if (shape == null)
+        throw new ArgumentNullException("The shape is 'null' and cannot be inserted.");
+      this.Text = "Add " + shape.EntityName;
 
-        public override void Redo()
-        {
-            Controller.Model.AddShape(shape);
-            Rectangle rec = shape.Rectangle;
-            rec.Inflate(20, 20);
-            Controller.View.Invalidate(rec);            
-        }
 
-        public override void Undo()
-        {
-            Rectangle rec = shape.Rectangle;
-            rec.Inflate(20, 20);
-            Controller.Model.RemoveShape(shape);
+      this.shape = shape;
+    }
 
-            Controller.View.Invalidate(rec);
-            
-        }
+    public override void Redo() {
+      Controller.Model.AddShape(shape);
+      Rectangle rec = shape.Rectangle;
+      rec.Inflate(20, 20);
+      Controller.View.Invalidate(rec);
+    }
 
+    public override void Undo() {
+      Rectangle rec = shape.Rectangle;
+      rec.Inflate(20, 20);
+      Controller.Model.RemoveShape(shape);
+
+      Controller.View.Invalidate(rec);
 
     }
 
+
+  }
+
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/UndoRedo/Commands/AddShapeCommand.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/UndoRedo/Commands/AddShapeCommand.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/UndoRedo/Commands/AddShapeCommand.cs	(revision 4068)
@@ -1,76 +1,69 @@
 using System;
-using System.Collections.Generic;
-using System.Text;
 using System.Drawing;
-namespace Netron.Diagramming.Core
-{
-    /// <summary>
-    /// ICommand implementation of the AddShape action
-    /// </summary>
-    public class AddShapeCommand : Command
-    {
-        #region Fields
-        IShape shape;        
-        Point location;
-        #endregion
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// ICommand implementation of the AddShape action
+  /// </summary>
+  public class AddShapeCommand : Command {
+    #region Fields
+    IShape shape;
+    Point location;
+    #endregion
 
-        #region Properties
-        public IShape Shape
-        {
-            get { return shape; }
-        }
-        #endregion
+    #region Properties
+    public IShape Shape {
+      get { return shape; }
+    }
+    #endregion
 
 
 
-        #region Methods
-        /// <summary>
-        /// Initializes a new instance of the <see cref="T:AddShapeCommand"/> class.
-        /// </summary>
-        /// <param name="controller">The controller.</param>
-        /// <param name="shape">The shape.</param>
-        /// <param name="location">The location.</param>
-        public  AddShapeCommand(
-            IController controller, 
-            IShape shape, 
-            Point location) :base(controller)
-        {
-            if (shape == null)
-                throw new ArgumentNullException("The shape is 'null' and cannot be inserted.");            
-            this.Text = "Add " + shape.EntityName;          
+    #region Methods
+    /// <summary>
+    /// Initializes a new instance of the <see cref="T:AddShapeCommand"/> class.
+    /// </summary>
+    /// <param name="controller">The controller.</param>
+    /// <param name="shape">The shape.</param>
+    /// <param name="location">The location.</param>
+    public AddShapeCommand(
+        IController controller,
+        IShape shape,
+        Point location)
+      : base(controller) {
+      if (shape == null)
+        throw new ArgumentNullException("The shape is 'null' and cannot be inserted.");
+      this.Text = "Add " + shape.EntityName;
 
-            this.location = location;
-            this.shape = shape;
-        }
+      this.location = location;
+      this.shape = shape;
+    }
 
-        /// <summary>
-        /// Perform redo of this command.
-        /// </summary>
-        public override void Redo()
-        {
-            Controller.Model.AddShape(shape);
-            
-            shape.Transform(location.X, location.Y, shape.Width, shape.Height);
-            Rectangle rec = shape.Rectangle;
-            rec.Inflate(20, 20);
-            Controller.View.Invalidate(rec);            
-        }
+    /// <summary>
+    /// Perform redo of this command.
+    /// </summary>
+    public override void Redo() {
+      Controller.Model.AddShape(shape);
 
-        /// <summary>
-        /// Perform undo of this command.
-        /// </summary>
-        public override void Undo()
-        {
-            Rectangle rec = shape.Rectangle;
-            rec.Inflate(20, 20);
-            Controller.Model.RemoveShape(shape);
+      shape.Transform(location.X, location.Y, shape.Width, shape.Height);
+      Rectangle rec = shape.Rectangle;
+      rec.Inflate(20, 20);
+      Controller.View.Invalidate(rec);
+    }
 
-            Controller.View.Invalidate(rec);
+    /// <summary>
+    /// Perform undo of this command.
+    /// </summary>
+    public override void Undo() {
+      Rectangle rec = shape.Rectangle;
+      rec.Inflate(20, 20);
+      Controller.Model.RemoveShape(shape);
 
-        }
-
-        #endregion
+      Controller.View.Invalidate(rec);
 
     }
 
+    #endregion
+
+  }
+
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/UndoRedo/Commands/BindConnectorsCommand.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/UndoRedo/Commands/BindConnectorsCommand.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/UndoRedo/Commands/BindConnectorsCommand.cs	(revision 4068)
@@ -1,33 +1,26 @@
-using System;
-using System.Collections.Generic;
-using System.Text;
 
-namespace Netron.Diagramming.Core
-{
-    class BindConnectorsCommand : Command
-    {
-        IConnector parent;
-        IConnector child;
+namespace Netron.Diagramming.Core {
+  class BindConnectorsCommand : Command {
+    IConnector parent;
+    IConnector child;
 
-        public override void Redo()
-        {
-            parent.AttachConnector(child);
-        }
-        public override void Undo()
-        {
-            parent.DetachConnector(child);
-        }
+    public override void Redo() {
+      parent.AttachConnector(child);
+    }
+    public override void Undo() {
+      parent.DetachConnector(child);
+    }
 
-        #region Constructor
-        ///<summary>
-        ///Default constructor
-        ///</summary>
-        public BindConnectorsCommand(IController controller, IConnector parent, IConnector child) : base(controller)
-        {
-            this.parent = parent;
-            this.child = child;
-        }
-        #endregion
-  
+    #region Constructor
+    ///<summary>
+    ///Default constructor
+    ///</summary>
+    public BindConnectorsCommand(IController controller, IConnector parent, IConnector child)
+      : base(controller) {
+      this.parent = parent;
+      this.child = child;
     }
+    #endregion
+
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/UndoRedo/Commands/CompoundCommand.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/UndoRedo/Commands/CompoundCommand.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/UndoRedo/Commands/CompoundCommand.cs	(revision 4068)
@@ -1,70 +1,58 @@
-using System;
-using System.Collections.Generic;
-using System.Text;
 
-namespace Netron.Diagramming.Core
-{
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// Implementation of ICommand for multiple actions
+  /// </summary>
+  class CompoundCommand : Command, ICompoundCommand {
+    #region Fields
+    private CollectionBase<ICommand> commands;
+    #endregion
+
+    #region Properties
     /// <summary>
-    /// Implementation of ICommand for multiple actions
+    /// Gets or sets the commands in this compound action.
     /// </summary>
-    class CompoundCommand : Command, ICompoundCommand
-    {
-        #region Fields
-        private CollectionBase<ICommand> commands;
-        #endregion
+    /// <value>The commands.</value>
+    public CollectionBase<ICommand> Commands {
+      get {
+        return commands;
+      }
+      set {
+        commands = value;
+      }
+    }
 
-        #region Properties
-        /// <summary>
-        /// Gets or sets the commands in this compound action.
-        /// </summary>
-        /// <value>The commands.</value>
-        public CollectionBase<ICommand> Commands
-        {
-            get
-            {
-                return commands;
-            }
-            set
-            {
-                commands = value;
-            }
-        }
+    #endregion
 
-        #endregion
-        
-        #region Constructor
-        ///<summary>
-        ///Default constructor
-        ///</summary>
-        public CompoundCommand(IController controller) : base(controller)
-        {
-            commands = new CollectionBase<ICommand>();
-        }
-        #endregion
+    #region Constructor
+    ///<summary>
+    ///Default constructor
+    ///</summary>
+    public CompoundCommand(IController controller)
+      : base(controller) {
+      commands = new CollectionBase<ICommand>();
+    }
+    #endregion
 
-        #region Methods
-        /// <summary>
-        /// Perform redo of this command.
-        /// </summary>
-        public override void Redo()
-        {
-            foreach(ICommand cmd in commands)
-            {
-                cmd.Redo();
-            }
-        }
+    #region Methods
+    /// <summary>
+    /// Perform redo of this command.
+    /// </summary>
+    public override void Redo() {
+      foreach (ICommand cmd in commands) {
+        cmd.Redo();
+      }
+    }
 
-        /// <summary>
-        /// Perform undo of this command.
-        /// </summary>
-        public override void Undo()
-        {
-            foreach(ICommand cmd in commands)
-            {
-                cmd.Undo();
-            }
-        }
-        #endregion
+    /// <summary>
+    /// Perform undo of this command.
+    /// </summary>
+    public override void Undo() {
+      foreach (ICommand cmd in commands) {
+        cmd.Undo();
+      }
+    }
+    #endregion
 
-    }
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/UndoRedo/Commands/DeleteCommand.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/UndoRedo/Commands/DeleteCommand.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/UndoRedo/Commands/DeleteCommand.cs	(revision 4068)
@@ -1,97 +1,86 @@
-using System;
-using System.Collections.Generic;
-using System.Text;
 using System.Drawing;
-namespace Netron.Diagramming.Core
-{
-    /// <summary>
-    /// Delete command.
-    /// </summary>
-    public class DeleteCommand : Command
-    {
-        #region Fields
-        CollectionBase<IDiagramEntity> bundle;
-        IController controller;
-      
-        #endregion
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// Delete command.
+  /// </summary>
+  public class DeleteCommand : Command {
+    #region Fields
+    CollectionBase<IDiagramEntity> bundle;
+    IController controller;
 
-        #region Properties
-       
+    #endregion
 
-        /// <summary>
-        /// Gets the entities.
-        /// </summary>
-        /// <value>The shape.</value>
-        public CollectionBase<IDiagramEntity> Entities
-        {
-            get { return bundle; }
-        }
-
-        #endregion
-
-        #region Constructor
-        /// <summary>
-        /// Initializes a new instance of the <see cref="T:DeleteCommand"/> class.
-        /// </summary>
-        /// <param name="controller">The controller.</param>
-        /// <param name="bundle">The bundle.</param>
-        public DeleteCommand(
-            IController controller, 
-            CollectionBase<IDiagramEntity> bundle)
-            : base(controller)
-        {
-            this.Text = "Delete";
-            this.controller = controller;
-            this.bundle = bundle;
-            
-        }
-        #endregion
-
-        #region Methods
-
-        /// <summary>
-        /// Perform redo of this command.
-        /// </summary>
-        public override void Redo()
-        {
-            if (bundle.Count == 0) return;
-
-            foreach (IDiagramEntity entity in bundle)
-            {
-                //this.Controller.Model.DefaultPage.DefaultLayer.Entities.Remove(entity);
-                Controller.Model.Remove(entity);
-            }
-            this.Controller.View.HideTracker();
-            Rectangle rec = Utils.BoundingRectangle(bundle);
-            rec.Inflate(30, 30);
-            this.Controller.View.Invalidate(rec);
-        }
-
-        /// <summary>
-        /// Perform undo of this command.
-        /// </summary>
-        public override void Undo()
-        {
-
-            if (bundle.Count == 0) return;
-
-            foreach (IDiagramEntity entity in bundle)
-            {
-                //this.Controller.Model.DefaultPage.DefaultLayer.Entities.Add(entity);
-                Controller.Model.AddEntity(entity);
-            }
-            this.Controller.View.HideTracker();
-
-            Rectangle rec = Utils.BoundingRectangle(bundle);
-            rec.Inflate(30, 30);
-            this.Controller.View.Invalidate(rec);
-                       
-
-         
-        }
+    #region Properties
 
 
-        #endregion
+    /// <summary>
+    /// Gets the entities.
+    /// </summary>
+    /// <value>The shape.</value>
+    public CollectionBase<IDiagramEntity> Entities {
+      get { return bundle; }
     }
 
+    #endregion
+
+    #region Constructor
+    /// <summary>
+    /// Initializes a new instance of the <see cref="T:DeleteCommand"/> class.
+    /// </summary>
+    /// <param name="controller">The controller.</param>
+    /// <param name="bundle">The bundle.</param>
+    public DeleteCommand(
+        IController controller,
+        CollectionBase<IDiagramEntity> bundle)
+      : base(controller) {
+      this.Text = "Delete";
+      this.controller = controller;
+      this.bundle = bundle;
+
+    }
+    #endregion
+
+    #region Methods
+
+    /// <summary>
+    /// Perform redo of this command.
+    /// </summary>
+    public override void Redo() {
+      if (bundle.Count == 0) return;
+
+      foreach (IDiagramEntity entity in bundle) {
+        //this.Controller.Model.DefaultPage.DefaultLayer.Entities.Remove(entity);
+        Controller.Model.Remove(entity);
+      }
+      this.Controller.View.HideTracker();
+      Rectangle rec = Utils.BoundingRectangle(bundle);
+      rec.Inflate(30, 30);
+      this.Controller.View.Invalidate(rec);
+    }
+
+    /// <summary>
+    /// Perform undo of this command.
+    /// </summary>
+    public override void Undo() {
+
+      if (bundle.Count == 0) return;
+
+      foreach (IDiagramEntity entity in bundle) {
+        //this.Controller.Model.DefaultPage.DefaultLayer.Entities.Add(entity);
+        Controller.Model.AddEntity(entity);
+      }
+      this.Controller.View.HideTracker();
+
+      Rectangle rec = Utils.BoundingRectangle(bundle);
+      rec.Inflate(30, 30);
+      this.Controller.View.Invalidate(rec);
+
+
+
+    }
+
+
+    #endregion
+  }
+
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/UndoRedo/Commands/DetachConnectorsCommand.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/UndoRedo/Commands/DetachConnectorsCommand.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/UndoRedo/Commands/DetachConnectorsCommand.cs	(revision 4068)
@@ -1,33 +1,26 @@
-using System;
-using System.Collections.Generic;
-using System.Text;
 
-namespace Netron.Diagramming.Core
-{
-    class DetachConnectorCommand : Command
-    {
-        IConnector parent;
-        IConnector child;
+namespace Netron.Diagramming.Core {
+  class DetachConnectorCommand : Command {
+    IConnector parent;
+    IConnector child;
 
-        public override void Redo()
-        {
-            parent.DetachConnector(child);            
-        }
-        public override void Undo()
-        {
-            parent.AttachConnector(child);            
-        }
+    public override void Redo() {
+      parent.DetachConnector(child);
+    }
+    public override void Undo() {
+      parent.AttachConnector(child);
+    }
 
-        #region Constructor
-        ///<summary>
-        ///Default constructor
-        ///</summary>
-        public DetachConnectorCommand(IController controller, IConnector parent, IConnector child) : base(controller)
-        {
-            this.parent = parent;
-            this.child = child;
-        }
-        #endregion
-  
+    #region Constructor
+    ///<summary>
+    ///Default constructor
+    ///</summary>
+    public DetachConnectorCommand(IController controller, IConnector parent, IConnector child)
+      : base(controller) {
+      this.parent = parent;
+      this.child = child;
     }
+    #endregion
+
+  }
 }
